.company-cases-page__container {
	width: 100%;
	background-color: #F8F8F8;
	font-family: "Factor A", sans-serif;
}

.company-cases-hero__container-background-color {
	width: 100%;
	background-color: #121217;
	background-image: url(./img/company-cases-hero-backg.webp);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: right center;
}

.company-cases-hero__container-background {
	width: 100%;
	display: flex;
	justify-content: center;
}

.company-cases-hero__block {
	width: 100%;
	max-width: 1270px;
	background: transparent;
	color: #ffffff;
	padding: 80px 0 96px 0;
	margin: 0 16px;
}

.company-cases-hero__container {
	display: flex;
}

.company-cases-hero__text-content {
	width: 100%;
	max-width: 680px;
	display: flex;
	flex-direction: column;
	gap: 24px;
}

.company-cases-hero__logo {
	width: auto;
	height: 15px;
	max-width: 275px;
	background: url(./img/logo-change.svg) no-repeat center;
	background-size: contain;
	margin-bottom: 16px;
}

.company-cases-hero__title {
	position: relative;
	display: inline-block;
	color: #ffffff;
	font-size: clamp(24px, 5vw, 56px);
	font-style: normal;
	font-weight: 800;
	line-height: 110%;
	letter-spacing: -1px;
	text-transform: initial;
	padding: 0;
	margin: 0;
}

.company-cases-hero__descr {
	color: #ffffff;
	font-size: clamp(14px, 2vw, 20px);
	font-style: normal;
	font-weight: 400;
	line-height: 120%;
	margin: 0;
}

.company-cases-component {
	width: 100%;
	display: flex;
	margin: 0 auto;
	background-color: #F8F8F8;
	overflow: hidden;
}

.company-cases-component__sidebar-block {
	width: 100%;
	max-width: 400px;
	display: flex;
	justify-content: flex-end;
	background-color: #ffffff;
}

.company-cases-component__separator-block {
	width: 10px;
	display: flex;
	justify-content: flex-end;
	background-color: #F2F2F2;
}

.company-cases-component__content-block {
	width: 100%;
	display: flex;
	justify-content: center;
}

.company-cases-component__content-title {
	color: #121217;
	font-size: clamp(20px, 4vw, 42px);
	font-style: normal;
	font-weight: 500;
	line-height: 110%;
	margin-bottom: 0;
}

.company-cases__filter.swiper {
	width: auto;
	overflow: visible;
}

.company-cases__filter .swiper-slide {
	width: auto !important;
}

.company-cases__filter .swiper-slide:last-child {
	margin-right: 0 !important;
}

.cases-filter__btn {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 8px;
	color: #121217;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 16px;
	background-color: #FFFFFF;
	border-radius: 16px;
	border: 1px solid #F2F2F2;
	padding: 8px 16px;
	transition: background-color .25s ease-out, border-color .25s ease-out;
}

.cases-filter__btn:hover {
	color: #FFFFFF;
	background: #BD0C1E;
	border-color: #BD0C1E;
}

.cases-filter__btn._active {
	color: #FFFFFF;
	background: #BD0C1E;
	border-color: #BD0C1E;
}

.cases-filter__group {
	position: relative;
	display: inline-block;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 8px;
}

.cases-filter__unit-label {
	display: flex;
	align-items: center;
	gap: 8px;
	color: #121217;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	line-height: 16px;
	background: #fff;
	border-radius: 16px;
	border: 1px solid #F2F2F2;
	padding: 7px 16px;
	cursor: pointer;
}

.cases-filter__unit-label .arrow {
	display: flex;
	width: 8px;
	height: 4px;
	transition: transform 0.3s;
}

.cases-filter__unit-label.open .arrow {
    transform: rotate(180deg);
}

.cases-filter__unit-label.active {
	color: #FFFFFF;
	background: #BD0C1E;
	border-color: #BD0C1E;
}

.cases-filter__unit-label.active svg path {
	stroke: #FFFFFF;
}

.dropdown-count {
    width: 16px;
    height: 16px;
    display: none;
    align-items: center;
    justify-content: center;
    color: white;
    font-size: 10px;
	font-weight: 400;
    background: #BD0C1E;
    border-radius: 50%;
}

.dropdown-count.show {
	display: flex;
}

.cases-filter__types {
	width: auto;
    position: absolute;
    top: 100%;
    left: 0;
    background: #fff;
    border-radius: 16px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    max-height: 0;
	overflow-x: hidden;
	overflow-y: auto;
    opacity: 0;
    transition: max-height 0.3s ease, opacity 0.3s ease, padding 0.3s ease;
    padding: 0 16px;
    z-index: 100;
}

.cases-filter__unit-label.open + .cases-filter__types {
    max-height: 300px;
    opacity: 1;
    padding: 16px;
	margin-top: 10px;
}

.cases-filter__types-inner {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.cases-filter__types-inner .checkbox {
	width: 100%;
}

.cases-filter__checkbox {
    display: none;
}

.cases-filter__type-label {
    display: flex;
	justify-content: space-between;
    align-items: center;
	gap: 16px;
    cursor: pointer;
    user-select: none;
	margin-bottom: 0;
	margin-left: 0;
	position: relative;
}

.cases-filter__checkbox + .cases-filter__type-label .selected-indicator {
	position: relative;
	display: block;
	flex-shrink: 0;
	max-width: 16px;
	width: 16px;
	height: 16px;
	padding: 0;
	content: "" !important;
	border: 0.67px solid #121217;
	border-radius: 50%;
	background-color: #FFFFFF !important;
	background-repeat: no-repeat;
	background-position: center;
}

.cases-filter__checkbox:checked + .cases-filter__type-label .selected-indicator {
	background-image: url("data:image/svg+xml,%3Csvg width='9' height='7' viewBox='0 0 9 7' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0.667969 3.50118L3.5013 6.33451L8.22352 0.667847' stroke='white' stroke-width='1.33565' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
	background-color: #BD0C1E !important;
	border: 0.67px solid #BD0C1E;
}

.selected-indicator {
    position: relative;
    width: 12px;
    height: 12px;
	background: #BD0C1E url(./bitrix/news.detail/.default/images/icon-check-mark.svg) no-repeat center;
	background-size: auto;
	border-radius: 50%;
    display: none;
}

.years-filter__options {
	display: flex;
	flex-direction: row-reverse;
	justify-content: center;
	flex-wrap: wrap;
	gap: 8px;
}

.years-filter__option {
	display: inline-block;
	padding: 8px 16px;
	background: #ffffff;
	border: 1px solid #F2F2F2;
	border-radius: 16px;
	text-decoration: none;
	color: #121217;
	transition: all 0.3s ease;
	font-size: 16px;
	font-weight: 400;
	line-height: 100%;
}

.years-filter__option:hover {
	background: #f0f0f0;
	border-color: #ccc;
}

.years-filter__option.active {
	background: #BD0C1E;
	color: #ffffff;
}

.company-cases-component__sidebar {
	width: 100%;
	background-color: #FFFFFF;
	padding: 80px 52px 80px 15px;
}

.company-cases-component__sidebar-info {
	font-size: 20px;
	line-height: 24px;
}

.company-cases-component__content {
	width: 100%;
	max-width: 1260px;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 24px;
	padding: 56px 16px 80px;
}

.company-cases-component-content__body .company-cases-items div.row {
	display: flex;
	flex-wrap: wrap;
}

.company-cases-component-content__body {
	width: 100%;
	margin-top: 24px;
}

.company-cases-component-content__body .scroll-to-top {
	position: sticky;
	bottom: 32px;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 32px;
	height: 32px;
	background: #BD0C1E;
	border-radius: 50%;
	border: none;
	padding: 0;
	margin: 0 auto;
	cursor: pointer;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.3s ease, transform 0.3s ease, background-color .2s ease;
	transform: scale(0.5);
	z-index: 1000;
}

.company-cases-component-content__body .scroll-to-top:hover {
	background: #000000;
}

.company-cases-component-content__body .scroll-to-top.show {
	opacity: 1;
	visibility: visible;
	transform: scale(1);
}

.company-cases-component-content__header {
	margin-bottom: 32px;
}

.company-cases-items {
	margin-bottom: 40px;
}

.company-cases__faq-container {
	width: 100%;
	display: flex;
	justify-content: center;
	background-color: #FFFFFF;
}

.company-cases__faq-container-block {
	width: 100%;
	max-width: 1270px;
	display: flex;
	flex-direction: column;
	gap: 16px;
	color: #121217;
	padding: 80px 0;
	margin: 0 16px;
}

.company-cases__faq-title {
	font-size: 34px;
	font-weight: 700;
	line-height: 41px;
	color: #121217;
	margin: 0;
}

.company-cases__faq-blocks {
	display: flex;
	flex-direction: column;
	gap: 24px;
	position: relative;
}

.company-cases__faq-block {
	display: grid;
	grid-template-rows: auto 0fr;
	transition: grid-template-rows 0.4s ease;
	cursor: pointer;
	position: relative;
	box-sizing: border-box;
	padding: 24px 0;
}

.company-cases__faq-block-one,
.company-cases__faq-block-two {
	border-bottom: 1px solid #ddd;
}

.company-cases__faq-block-title {
	width: 90%;
	font-size: 20px;
	font-weight: 400;
	line-height: 25px;
}

.company-cases__faq-text-wrapper {
	max-width: 700px;
	overflow: hidden;
}

.company-cases__faq-text {
	font-size: 16px;
	font-weight: 300;
	line-height: 1.5;
	color: #555;
	margin: 0;
	padding-top: 0;
	opacity: 0;
	transform: translateY(-5px);
	overflow: hidden;
	transition:
		opacity 0.4s ease 0.1s,
		transform 0.4s ease 0.1s,
		padding-top 0.4s ease;
}

.company-cases__faq-block.expanded {
	grid-template-rows: auto 1fr;
}

.company-cases__faq-block.expanded .company-cases__faq-text {
	opacity: 1;
	transform: translateY(0);
	padding-top: 24px;
}

.company-cases__faq-block::before {
	content: "";
	width: 24px;
	height: 24px;
	background-image: url(./img/icon-faq-open.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	position: absolute;
	top: 25px;
	right: 20px;
	transition: transform 0.3s ease;
	transform-origin: center;
}

.company-cases__faq-block.expanded::before {
	transform: rotate(180deg);
	background-image: url(./img/icon-faq-open.svg);
}

.company-cases__faq-text-link {
	color: #BD0C1E;
	transition: color 0.3s ease;
}

.company-cases-list {
	display: grid;
	grid-template-columns: repeat(2, minmax(0, 1fr));
	gap: 24px;
}

.company-cases-list__item {
	display: flex;
	gap: 24px;
	color: #121217;
	border-radius: 16px;
	background: #FFFFFF;
	min-height: 250px;
	max-width: 620px;
	text-decoration: none;
}

.company-cases-company {
	border-radius: 16px;
	overflow: hidden;
	display: flex;
}

.company-cases-company__logo {
	background: #F2F2F2;
	position: relative;
	width: 250px;
	height: auto;
	border-radius: 16px;
	flex-shrink: 0;
	overflow: hidden;
	order: 0;
}

.company-cases-company__logo img {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	object-fit: cover;
	object-position: center;
	height: 100%;
	width: 100%;
}

.company-cases-company__tags {
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
}

.company-cases-company__tags-item {
	display: inline-flex;
	align-items: center;
	background: #ffffff;
	font-family: "Factor A", sans-serif;
	font-size: 12px;
	font-weight: 400;
	line-height: 120%;
	color: #121217;
	border-radius: 16px;
	border: 1px solid #F2F2F2;
	padding: 8px;
}

.company-cases-company__content {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 8px;
	background-color: #ffffff;
	padding: 24px;
	flex: 1;
	border-top-right-radius: 16px;
	border-bottom-right-radius: 16px;
}

.company-cases-company__industry {
	font-size: 12px;
	font-weight: 400;
	line-height: 120%;
	color: #B2B2B2;
}

.company-cases-company__title {
	font-size: clamp(16px, 2vw, 20px);
	font-weight: 400;
	line-height: 120%;
	color: #121217;
}

.company-cases-company__description {
	font-size: 12px;
	font-weight: 400;
	line-height: 120%;
	color: #626262;
	margin-bottom: 16px;
	text-decoration: none;
}

.company-cases-company__tags-item svg {
	color: #BD0C1E;
}

.company-cases-company__tags .tag-gradient {
	padding: 8px;
	margin-bottom: 0;
}

.company-cases-company__description, .company-cases-company__type, .company-cases-company__company {
	font-size: 12px;
	font-style: normal;
	font-weight: 400;
	line-height: 16px;
}

.company-cases-company__company {
	color: #9D9D9D;
}

.company-cases-company__description {
	color: #626262;
}

.company-cases-company__type {
	width: fit-content;
	color: #121217;
	border: 1px solid #F2F2F2;
	border-radius: 16px;
	padding: 4px 8px 3px;
	margin-top: auto;
}

@media (min-width: 1600px) {
	div.company-cases-component__content-block {
		width: 100%;
	}
}

@media (max-width: 1550px) {
	.company-cases-hero__container-background {
		background-size: cover;
	}
}

@media screen and (max-width: 1440px) {
	.company-cases-company__content {
		padding: 20px 24px;
	}

	.company-cases-company__tags .tag-gradient {
		font-size: 14px;
	}
}

@media (max-width: 1199px) {
	.company-cases-component-content__body .scroll-to-top {
		bottom: 88px;
	}
}

@media screen and (max-width: 1150px) {
	.company-cases-company {
		flex-direction: column;
	}

	.company-cases-list__item {
		flex-direction: column;
		gap: 0;
	}

	.company-cases-list {
		gap: 16px;
	}

	.company-cases-company__logo {
		width: 100%;
		height: auto;
		min-height: 202px;
		max-height: 202px;
		object-fit: contain;
		position: relative;
	}

	.company-cases-company__logo img {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translateX(-50%) translateY(-50%);
	}

	.company-cases-company__content {
		border-radius: 0 0 16px 16px;
		padding: 16px;
	}

	.company-cases-company__description {
		margin-bottom: 18px;
	}

	.company-cases-list {
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}

@media (max-width: 1050px) {
	.company-cases-hero__text-content {
		max-width: 550px;
	}
}

@media (max-width: 1024px) {
	.company-cases-component__sidebar-info {
		font-size: 18px;
		line-height: 22px;
	}
}

@media (max-width: 992px) {
	.company-cases-component {
		flex-direction: column;
	}

	.company-cases-component__sidebar-block {
		max-width: 100%;
	}

	.company-cases-component__sidebar {
		max-width: 100%;
		padding: 60px 15px 0 15px;
	}

	.company-cases-component__separator-block {
		display: none;
	}

	.company-cases-component__content-block {
		width: 100%;
		justify-content: center;
	}

	.company-cases-items {
		margin-bottom: 20px;
	}

	.company-cases-items__footer {
		text-align: center;
	}
}

@media (max-width: 870px) {
	.company-cases-hero__container-background {
		background-image: none;
	}
}

@media (max-width: 850px) {
	.company-cases-hero__pre-title {
		font-size: 20px;
		line-height: 22px;
	}
}

@media screen and (min-width:769px) and (max-width: 992px) {
	.company-cases-company__content {
		padding: 20px 48px;
	}
}

@media (max-width: 760px) {
	.company-cases-hero__pre-title {
		font-size: 18px;
		line-height: 20px;
	}

	.company-cases__faq-title {
		font-size: 30px;
		line-height: 34px;
	}

	.cases-filter__type-label {
		padding-left: 0 !important;
	}

	.company-cases__filter.swiper {
		width: 100%;
	}

	.company-cases__filter .swiper-slide:last-child {
		margin-right: 8px !important;
	}
}

@media (max-width: 600px) {
	.company-cases__faq-container-block {
		padding: 48px 0;
	}

	.company-cases-hero__logo {
		max-width: 197px;
		margin-bottom: 24px;
	}

	.company-cases-hero__text-content {
		max-width: 100%;
		width: 100%;
		gap: 8px;
		margin-right: 0;
		padding: 0;
	}

	.company-cases-hero__title {
		color: #FFF;
		font-size: 24px;
		font-weight: 700;
		line-height: 32px;
		text-transform: uppercase;
	}

	.company-cases-hero__descr {
		color: #FFF;
		font-size: 14px;
		font-weight: 300;
		line-height: 16px;
	}

	.company-cases-hero__block {
		height: 500px;
		padding: 32px 0;
	}

	.company-cases-hero__container-background-color {
		background-image: url(./img/company-cases-hero-backg_mob.png);
		background-repeat: no-repeat;
		background-size: cover;
		background-position: right center;
	}
}

@media (max-width: 450px) {
	.company-cases-company__description {
		display: none;
	}

	.company-cases-hero__block {
		padding: 32px 0 24px 0;
	}

	.company-cases-component__content-block div.company-cases-component__content {
		padding: 24px 16px 40px;
		gap: 16px;
	}

	.company-cases-hero {
		padding-top: 50px;
	}

	.company-cases-hero__pre-title {
		font-size: 20px;
		line-height: 22px;
	}

	.company-cases__faq-title {
		font-size: 24px;
		line-height: 32px;
		margin-bottom: 16px;
	}

	.company-cases__faq-blocks {
		gap: 16px;
	}

	.company-cases__faq-block {
		line-height: 18px;
		padding: 16px 0;
	}

	.company-cases__faq-block.expanded {
		max-height: fit-content;
		font-size: 18px;
	}

	.company-cases__faq-block-title {
		font-size: 16px;
		line-height: 21px;
	}

	.company-cases__faq-text {
		font-size: 18px;
		line-height: 18px;
	}

	.company-cases-hero__pre-title {
		display: flex;
		gap: 5px;
		font-size: 14px;
		font-weight: 900;
		line-height: 110%;
		margin-bottom: 16px;
	}

	.company-cases-company__description {
		font-size: 14px;
		font-weight: 300;
		margin-bottom: 0;
	}

	.company-cases-company__description {
		display: none;
	}

	.company-cases-company__content .company-cases-company__tags {
		gap: 4px;
	}

	.company-cases-company__content .company-cases-company__tags .tag-gradient {
		font-size: 12px;
	}

	.company-cases__faq-container-block {
		padding: 40px 0 0 0;
	}

	.company-cases__faq-text {
		font-size: 14px;
		line-height: 16px;
		padding-top: 16px;
	}

	.company-cases-component-content__body .company-cases-list {
		grid-template-columns: 1fr;
	}

	.years-filter__option {
		font-size: 16px;
	}

	.company-cases-company__industry {
		font-size: 14px;
		font-weight: 300;
	}

	.company-cases__faq-block::before {
		top: 16px;
	}
}

@media (max-width: 410px) {
	.company-cases__faq-block-title {
		font-size: 16px;
		line-height: 18px;
	}
}
